Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java	(revision 838)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java	(revision 839)
@@ -56,7 +56,7 @@
 	 * the parent layout must be a GridLayout
 	 * 
 	 * @param parent where the Toolbar will be located
-	 * @param subWidgetComposite where the installed Widgets will be installed
+	 * @param subWidgetComposite OPTIONAL: where the installed Widgets (Groups) will be installed
 	 * @param style
 	 * @param toolbarId
 	 * @param editor
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 838)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 839)
@@ -119,8 +119,6 @@
 	 */
 	private Composite parent;
 
-	private Composite topToolBarsContainer;
-
 	/**
 	 * contains the default bottom toolbars widget
 	 */
@@ -138,9 +136,15 @@
 	private GLComposite bottomSubWidgetsComposite;
 	private GLComposite firstLineComposite;
 	private boolean createPartControlDoneSucessfully = true; // for now... muahahaha
-	private GLComposite betweenTopToolbarsAndResultComposite;
 
-
+	/**
+	 * the composite containing the main parameteres, the top toolbar and eventually other top toolbars
+	 * @return
+	 */
+	public GLComposite getFirstLineComposite() {
+		return firstLineComposite;
+	}
+	
 	public Shell getShell() {
 		if (parent !=null && !parent.isDisposed()) {
 			return parent.getShell();
@@ -188,24 +192,10 @@
 			this.mainParametersComposite.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false));
 			this.mainParametersComposite.getLayout().horizontalSpacing = 5;
 
-			// create the top tool bar
-			this.topToolBarsContainer = new Composite(firstLineComposite, SWT.NONE);
-			this.topToolBarsContainer.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, false, false));
-			RowLayout rl = new RowLayout(SWT.HORIZONTAL);
-			rl = new RowLayout(SWT.HORIZONTAL);
-			rl.marginTop = rl.marginHeight = rl.marginWidth = rl.marginBottom = 0;
-			rl.center = true;
-			rl.spacing = 0;
-			this.topToolBarsContainer.setLayout(rl);
-
-			betweenTopToolbarsAndResultComposite = new GLComposite(parent, SWT.NONE, "Between Top toolbar and result area");
-			this.betweenTopToolbarsAndResultComposite.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
-
-			
-			this.extendedParametersGroupsComposite = new GLComposite(betweenTopToolbarsAndResultComposite, SWT.NONE, "Extended parameters area");
+			this.extendedParametersGroupsComposite = new GLComposite(parent, SWT.NONE, "Extended parameters area");
 			this.extendedParametersGroupsComposite.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
 
-			this.topToolBar = new TXMEditorToolBar(this, this.topToolBarsContainer, this.extendedParametersGroupsComposite, SWT.FLAT | SWT.RIGHT, TOP_TOOLBAR_ID);
+			this.topToolBar = new TXMEditorToolBar(this, this.firstLineComposite, this.extendedParametersGroupsComposite, SWT.FLAT | SWT.RIGHT, TOP_TOOLBAR_ID);
 			// FIXME: debug tests for see why there is an empty area at bottom of the toolbar
 			//this.topToolBar.setBackground(parent.getDisplay().getSystemColor(SWT.COLOR_RED));
 
@@ -234,7 +224,7 @@
 			// create the bottom tool bar
 			this.bottomToolBarContainer = new Composite(parent, SWT.NONE);
 			this.bottomToolBarContainer.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
-			rl = new RowLayout(SWT.HORIZONTAL);
+			RowLayout rl = new RowLayout(SWT.HORIZONTAL);
 			rl.marginTop = rl.marginHeight = rl.marginWidth = rl.marginBottom = 0;
 			//rl.center = true;
 			//rl.justify = true;
@@ -284,23 +274,6 @@
 	public abstract void _createPartControl();
 
 	/**
-	 * Use this method to add widget next to the default Top toolbar
-	 * 
-	 * @return the composite that contains the default Top toolbar. 
-	 */
-	public Composite getTopToolbarContainer() {
-		return topToolBarsContainer;
-	}
-
-	/**
-	 * Use this composite if you need to insert widget between the toptoolbars container and the result area
-	 * @return
-	 */
-	public GLComposite getBetweenTopToolbarsAndResultComposite() {
-		return betweenTopToolbarsAndResultComposite;
-	}
-	
-	/**
 	 * Use this method to add widget next to the default Bottom toolbar
 	 * 
 	 * @return the composite that contains the default Bottom toolbar. 
Index: tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/editor/AnnotationArea.java
===================================================================
--- tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/editor/AnnotationArea.java	(revision 838)
+++ tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/editor/AnnotationArea.java	(revision 839)
@@ -9,7 +9,7 @@
  * A widget to show in a to annotate a Result within a TXMEditor
  * 
  * @author mdecorde
- *
+ * 
  */
 public abstract class AnnotationArea extends GLComposite {
 
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 838)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 839)
@@ -1241,19 +1241,11 @@
 
 		//if (true)// concordance==null || concordance.getQuery()!=query)
 		try {
-			
-			//FIXME: usless? called by TXMEditor
-			CorporaView.refresh();
-			CorporaView.expand(concordance.getCorpus());
-			
-			
+						
 			QueriesView.refresh();
 
 			fillDisplayArea();
-			
-			//FIXME: usless? called by TXMEditor	
-			setPartName(concordance.getName());
-			
+
 			queryWidget.memorize();
 
 			resetColumnWidths();
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/UnitToolbar.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/UnitToolbar.java	(revision 838)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/UnitToolbar.java	(revision 839)
@@ -122,7 +122,7 @@
 		this.analecCorpus = analecCorpus;
 		analecCorpus.addEventListener(this);
 		this.vue = vue;
-		this.setLayout(new GridLayout(10, false));
+		this.getLayout().numColumns = 10;
 		this.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
 
 		l = new Label(this, SWT.NONE);
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/SchemaToolbar.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/SchemaToolbar.java	(revision 838)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/SchemaToolbar.java	(revision 839)
@@ -108,7 +108,7 @@
 		this.analecCorpus = analecCorpus;
 		analecCorpus.addEventListener(this);
 		this.vue = vue;
-		this.setLayout(new GridLayout(7, false));
+		this.getLayout().numColumns = 7;
 		this.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
 
 		l = new Label(this, SWT.NONE);
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 838)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 839)
@@ -114,7 +114,8 @@
 	public final void _createPartControl() {
 		
 		// Toolbar
-		this.chartToolBar = new ChartEditorToolBar(this, this.getTopToolbarContainer(), this.getParametersGroupsComposite(), SWT.FLAT | SWT.RIGHT);
+		this.chartToolBar = new ChartEditorToolBar(this, this.getFirstLineComposite(), this.getParametersGroupsComposite(), SWT.FLAT | SWT.RIGHT);
+		this.getFirstLineComposite().getLayout().numColumns += 1;
 		//this.chartToolBar.setBackground(parent.getDisplay().getSystemColor(SWT.COLOR_RED));
 
 		// Advanced tool bar
